Skip to main content
GET
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
List Cluster Stacks Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "stacks": [],
  "drafts": [],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "total_count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid4>
required

Query Parameters

page
integer | null
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100
search
string | null

Response

Successful Response

stacks
FrontendStack · object[]
drafts
ClusterStackDraft · object[]
pagination
StacksPagination · object